
/******************************************************************************/                                  
/******************************************************************************/

/* LCD  panel SPI interface define */
sbit	SPI_RES = P3^6;	 //reset
sbit	SPI_DI = P1^5;	//data input		 
sbit	SPI_CLK = P1^7;   //clock
sbit	SPI_CS = P3^4;  //chip select

//RGB+9b_SPI(rise)
 void SPI_SendData(unsigned char i)
{  
   unsigned char n;
   
   for(n=0; n<8; n++)			
   {       
			SPI_CLK=0;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_DI=i&0x80;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_CLK=1;
			i<<=1;
			_nop_(); _nop_();_nop_();_nop_();
	  
   }
}
void SPI_WriteComm(unsigned char i)
{
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=0 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
}



void SPI_WriteData(unsigned char i)
{ 
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=1 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
} 




void ST7701S_Initial(void)
{

	SPI_RES=1;
	delay_ms(10);
	SPI_RES=0;
	delay_ms(100);
	SPI_RES=1;
	delay_ms(10);  


  /* 
	SPI_WriteComm(0xFF);
	SPI_WriteData(0x77);
	SPI_WriteData(0x01);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x10);
	
	SPI_WriteComm(0xC0);
	SPI_WriteData(0xE9);
	SPI_WriteData(0x03);
	SPI_WriteComm(0xC1);
	SPI_WriteData(0x11);
	SPI_WriteData(0x02);
	SPI_WriteComm(0xC2);
	SPI_WriteData(0x37);
	SPI_WriteData(0x08);
	
	SPI_WriteComm(0xC7);
	SPI_WriteData(0x00); 
	SPI_WriteComm(0xB0);
	SPI_WriteData(0x00);
	SPI_WriteData(0x0D);
	SPI_WriteData(0x14);
	SPI_WriteData(0x0D);
	SPI_WriteData(0x10);
	SPI_WriteData(0x05);
	SPI_WriteData(0x02);
	SPI_WriteData(0x08);
	SPI_WriteData(0x08);
	SPI_WriteData(0x1E);
	SPI_WriteData(0x05);
	SPI_WriteData(0x13);
	SPI_WriteData(0x11);
	SPI_WriteData(0xA3);
	SPI_WriteData(0x29);
	SPI_WriteData(0x18);
	SPI_WriteComm(0xB1);
	SPI_WriteData(0x00);
	SPI_WriteData(0x0C);
	SPI_WriteData(0x14);
	SPI_WriteData(0x0C);
	SPI_WriteData(0x10);
	SPI_WriteData(0x05);
	SPI_WriteData(0x03);
	SPI_WriteData(0x08);
	SPI_WriteData(0x07);
	SPI_WriteData(0x20);
	SPI_WriteData(0x05);
	SPI_WriteData(0x13);
	SPI_WriteData(0x11);
	SPI_WriteData(0xA4);
	SPI_WriteData(0x29);
	SPI_WriteData(0x18);
	
	SPI_WriteComm(0xFF);
	SPI_WriteData(0x77);
	SPI_WriteData(0x01);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x11);
	SPI_WriteComm(0xB0);
	SPI_WriteData(0x6C);
	
	SPI_WriteComm(0xB1);
	SPI_WriteData(0x43);
	
	SPI_WriteComm(0xB2);
	SPI_WriteData(0x07);
	SPI_WriteComm(0xB3);
	SPI_WriteData(0x80);
	SPI_WriteComm(0xB5);
	SPI_WriteData(0x47);
	SPI_WriteComm(0xB7);
	SPI_WriteData(0x8A);
	SPI_WriteComm(0xB8);
	SPI_WriteData(0x20);
	SPI_WriteComm(0xC1);
	SPI_WriteData(0x78);
	SPI_WriteComm(0xC2);
	SPI_WriteData(0x78);
	SPI_WriteComm(0xD0);
	SPI_WriteData(0x88);
	
	
	SPI_WriteComm(0xE0);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x02);
	SPI_WriteComm(0xE1);
	SPI_WriteData(0x08);
	SPI_WriteData(0x00);
	SPI_WriteData(0x0A);
	SPI_WriteData(0x00);
	SPI_WriteData(0x07);
	SPI_WriteData(0x00);
	SPI_WriteData(0x09);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x33);
	SPI_WriteData(0x33);
	SPI_WriteComm(0xE2);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteComm(0xE3);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x33);
	SPI_WriteData(0x33);
	SPI_WriteComm(0xE4);
	SPI_WriteData(0x44);
	SPI_WriteData(0x44);
	SPI_WriteComm(0xE5);
	SPI_WriteData(0x0E);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x10);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x0A);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x0C);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteComm(0xE6);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x33);
	SPI_WriteData(0x33);
	SPI_WriteComm(0xE7);
	SPI_WriteData(0x44);
	SPI_WriteData(0x44);
	SPI_WriteComm(0xE8);
	SPI_WriteData(0x0D);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x0F);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x09);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteData(0x0B);
	SPI_WriteData(0x60);
	SPI_WriteData(0xA0);
	SPI_WriteData(0xA0);
	SPI_WriteComm(0xEB);
	SPI_WriteData(0x02);
	SPI_WriteData(0x01);
	SPI_WriteData(0xE4);
	SPI_WriteData(0xE4);
	SPI_WriteData(0x44);
	SPI_WriteData(0x00);
	SPI_WriteData(0x40);
	SPI_WriteComm(0xEC);
	SPI_WriteData(0x02);
	SPI_WriteData(0x01);
	SPI_WriteComm(0xED);
	SPI_WriteData(0xAB);
	SPI_WriteData(0x89);
	SPI_WriteData(0x76);
	SPI_WriteData(0x54);
	SPI_WriteData(0x01);
	SPI_WriteData(0xFF);
	SPI_WriteData(0xFF);
	SPI_WriteData(0xFF);
	SPI_WriteData(0xFF);
	SPI_WriteData(0xFF);
	SPI_WriteData(0xFF);
	SPI_WriteData(0x10);
	SPI_WriteData(0x45);
	SPI_WriteData(0x67);
	SPI_WriteData(0x98);
	SPI_WriteData(0xBA);
	
	SPI_WriteComm(0xFF);
	SPI_WriteData(0x77);
	SPI_WriteData(0x01);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	SPI_WriteData(0x00);
	delay_ms(10);
	
	SPI_WriteComm(0x36);
	SPI_WriteData(0x00); //0x18
	
	SPI_WriteComm(0x3A);  //  RGB 24bits D[23:0]
	SPI_WriteData(0x77);
	
	SPI_WriteComm(0x11);   //Sleep-Out
	SPI_WriteData(0x00);
	delay_ms(120);
	
	SPI_WriteComm(0x29);   //Display On
	SPI_WriteData(0x00);
	delay_ms(10);	 
   */

//****************************************************************************//
 SPI_WriteComm(0x11); 
delay_ms(120); //Delay 120ms 
//---------------------------------------Bank0 Setting-------------------------------------------------// 
//------------------------------------Display Control setting----------------------------------------------//
SPI_WriteComm(0xFF);
SPI_WriteData(0x77);
SPI_WriteData(0x01);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x10);
SPI_WriteComm(0xC0);
SPI_WriteData(0x63);
SPI_WriteData(0x00);
SPI_WriteComm(0xC1);
SPI_WriteData(0x11);
SPI_WriteData(0x02);
SPI_WriteComm(0xC2);
SPI_WriteData(0x31);
SPI_WriteData(0x08);
SPI_WriteComm(0xC3);
SPI_WriteData(0x00);
SPI_WriteComm(0xCC);
SPI_WriteData(0x10);
//-------------------------------------Gamma Cluster Setting------------------------------------------- //
SPI_WriteComm(0xB0);
SPI_WriteData(0x40);
SPI_WriteData(0x01);
SPI_WriteData(0x46);
SPI_WriteData(0x0D);
SPI_WriteData(0x13);
SPI_WriteData(0x09);
SPI_WriteData(0x05);
SPI_WriteData(0x09);
SPI_WriteData(0x09);
SPI_WriteData(0x1B);
SPI_WriteData(0x07);
SPI_WriteData(0x15);
SPI_WriteData(0x12);
SPI_WriteData(0x4C);
SPI_WriteData(0x10);
SPI_WriteData(0xC8);
SPI_WriteComm(0xB1);
SPI_WriteData(0x40);
SPI_WriteData(0x02);
SPI_WriteData(0x86);
SPI_WriteData(0x0D);
SPI_WriteData(0x13);
SPI_WriteData(0x09);
SPI_WriteData(0x05);
SPI_WriteData(0x09);
SPI_WriteData(0x09);
SPI_WriteData(0x1F);
SPI_WriteData(0x07);
SPI_WriteData(0x15);
SPI_WriteData(0x12);
SPI_WriteData(0x15);
SPI_WriteData(0x19);
SPI_WriteData(0x08);
//--------------------------------------- End Gamma Setting---------------------------------------------- //
//------------------------------------End Display Control setting----------------------------------------//
//----------------------------------------- Bank0 Setting End--------------------------------------------- //
//------------------------------------------- Bank1 Setting--------------------------------------------------- //
//-------------------------------- Power Control Registers Initial -------------------------------------- //
SPI_WriteComm(0xFF);
SPI_WriteData(0x77);
SPI_WriteData(0x01);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x11);
SPI_WriteComm(0xB0);
SPI_WriteData(0x50);
//------------------------------------------- Vcom Setting--------------------------------------------------- //
SPI_WriteComm(0xB1);
SPI_WriteData(0x68);
//----------------------------------------- End Vcom Setting----------------------------------------------- //
SPI_WriteComm(0xB2);
SPI_WriteData(0x07);
SPI_WriteComm(0xB3);
SPI_WriteData(0x80);
SPI_WriteComm(0xB5);
SPI_WriteData(0x47);
SPI_WriteComm(0xB7);
SPI_WriteData(0x85);
SPI_WriteComm(0xB8);
SPI_WriteData(0x21);
SPI_WriteComm(0xB9);
SPI_WriteData(0x10);
SPI_WriteComm(0xC1);
SPI_WriteData(0x78);
SPI_WriteComm(0xC2);
SPI_WriteData(0x78);
SPI_WriteComm(0xD0);
SPI_WriteData(0x88);
//---------------------------------End Power Control Registers Initial -------------------------------//
delay_ms(100);
//------------------------------------------ ---GIP Setting---------------------------------------------------- //
SPI_WriteComm(0xE0);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x02);
SPI_WriteComm(0xE1);
SPI_WriteData(0x08);
SPI_WriteData(0x00);
SPI_WriteData(0x0A);
SPI_WriteData(0x00);
SPI_WriteData(0x07);
SPI_WriteData(0x00);
SPI_WriteData(0x09);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x33);
SPI_WriteData(0x33);
SPI_WriteComm(0xE2);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteComm(0xE3);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x33);
SPI_WriteData(0x33);
SPI_WriteComm(0xE4);
SPI_WriteData(0x44);
SPI_WriteData(0x44);
SPI_WriteComm(0xE5);
SPI_WriteData(0x0E);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x10);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x0A);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x0C);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteComm(0xE6);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x33);
SPI_WriteData(0x33);
SPI_WriteComm(0xE7);
SPI_WriteData(0x44);
SPI_WriteData(0x44);
SPI_WriteComm(0xE8);
SPI_WriteData(0x0D);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x0F);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x09);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteData(0x0B);
SPI_WriteData(0x2D);
SPI_WriteData(0xA0);
SPI_WriteData(0xA0);
SPI_WriteComm(0xEB);
SPI_WriteData(0x02);
SPI_WriteData(0x01);
SPI_WriteData(0xE4);
SPI_WriteData(0xE4);
SPI_WriteData(0x44);
SPI_WriteData(0x00);
SPI_WriteData(0x40);
SPI_WriteComm(0xEC);
SPI_WriteData(0x02);
SPI_WriteData(0x01);
SPI_WriteComm(0xED);
SPI_WriteData(0xAB);
SPI_WriteData(0x89);
SPI_WriteData(0x76);
SPI_WriteData(0x54);
SPI_WriteData(0x01);
SPI_WriteData(0xFF);
SPI_WriteData(0xFF);
SPI_WriteData(0xFF);
SPI_WriteData(0xFF);
SPI_WriteData(0xFF);
SPI_WriteData(0xFF);
SPI_WriteData(0x10);
SPI_WriteData(0x45);
SPI_WriteData(0x67);
SPI_WriteData(0x98);
SPI_WriteData(0xBA);
//-------------------------------------------- End GIP Setting----------------------------------------------- //
//------------------------------ Power Control Registers Initial End-----------------------------------//
//------------------------------------------ Bank1 Setting---------------------------------------------------- //
SPI_WriteComm(0xFF);
SPI_WriteData(0x77);
SPI_WriteData(0x01);
SPI_WriteData(0x00);
SPI_WriteData(0x00);
SPI_WriteData(0x00);

//SPI_WriteComm(0x36);
//SPI_WriteData(0x00);

SPI_WriteComm(0x3A);
SPI_WriteData(0x77);
//SPI_WriteComm(0x21); 
SPI_WriteComm(0x29);    

}


